package com.jeeplus.modules.sg.managementcenter.activiti.entity;

import com.jeeplus.core.persistence.ActEntity;
import com.jeeplus.modules.sg.managementcenter.project.entity.Assignment;
import com.jeeplus.modules.sg.managementcenter.project.entity.BasicInformation;
import com.jeeplus.modules.sys.entity.User;

import java.util.Date;
import java.util.List;

/**
 * 施工交底Entity
 * @author
 * @version 2019-11-08
 */
public class Construction extends ActEntity<Construction> {
    private static final long serialVersionUID = 1L;
    //储备项目暂定名称
    private String reserveProjectName;
    //项目定义
    private String projectId;
    //项目名称
    private String projectName;
    //是否自己处理
    private String ifSelf;
    //是否需要借款
    private String ifBorrow;
    //项目基础信息表
    private BasicInformation basicInformation;
    //施工任务分配信息
    private Assignment assignment;
    //交底结论信息
    private Disclose disclose;
    //工程量信息
    private Quantity quantity;


    public String getReserveProjectName() {
        return reserveProjectName;
    }

    public void setReserveProjectName(String reserveProjectName) {
        this.reserveProjectName = reserveProjectName;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getIfSelf() {
        return ifSelf;
    }

    public void setIfSelf(String ifSelf) {
        this.ifSelf = ifSelf;
    }

    public String getIfBorrow() {
        return ifBorrow;
    }

    public void setIfBorrow(String ifBorrow) {
        this.ifBorrow = ifBorrow;
    }

    public BasicInformation getBasicInformation() {
        return basicInformation;
    }

    public void setBasicInformation(BasicInformation basicInformation) {
        this.basicInformation = basicInformation;
    }

    public Assignment getAssignment() {
        return assignment;
    }

    public void setAssignment(Assignment assignment) {
        this.assignment = assignment;
    }

    public Disclose getDisclose() {
        return disclose;
    }

    public void setDisclose(Disclose disclose) {
        this.disclose = disclose;
    }

    public Quantity getQuantity() {
        return quantity;
    }

    public void setQuantity(Quantity quantity) {
        this.quantity = quantity;
    }
}
