package com.jeeplus.modules.sg.scheduleView.entity;

import com.jeeplus.core.persistence.ActEntity;

import java.util.List;

/**
 * 查询模块实体类
 * */
public class ScheduleView extends ActEntity<ScheduleView> {
    //项目定义号
    private String projectId;
    //项目定义号集合
    private List<String> projectList;
    //项目自定义描述
    private String requireName;
    //项目交底类型
    private String clarificaitonType;
    //施工交底状态
    private String status;
    //物资领料状态
    private String acquisitionStatus;
    //施工状态
    private String constructionStatus;
    //结算状态
    private String settStatus;
    //施工交底流程
    private DisView disView;
    //物资领料流程
    private ReceiveView receiveView;
    //结算流程
    private SettView settView;
    //设计变更
    private DesignView designView;
    //项目关闭
    private ClosureView closureView;
    //政策处理
    private PolicyView policyView;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public List<String> getProjectList() {
        return projectList;
    }

    public void setProjectList(List<String> projectList) {
        this.projectList = projectList;
    }

    public String getRequireName() {
        return requireName;
    }

    public void setRequireName(String requireName) {
        this.requireName = requireName;
    }

    public String getClarificaitonType() {
        return clarificaitonType;
    }

    public void setClarificaitonType(String clarificaitonType) {
        this.clarificaitonType = clarificaitonType;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getAcquisitionStatus() {
        return acquisitionStatus;
    }

    public void setAcquisitionStatus(String acquisitionStatus) {
        this.acquisitionStatus = acquisitionStatus;
    }

    public String getConstructionStatus() {
        return constructionStatus;
    }

    public void setConstructionStatus(String constructionStatus) {
        this.constructionStatus = constructionStatus;
    }

    public String getSettStatus() {
        return settStatus;
    }

    public void setSettStatus(String settStatus) {
        this.settStatus = settStatus;
    }

    public DisView getDisView() {
        return disView;
    }

    public void setDisView(DisView disView) {
        this.disView = disView;
    }

    public ReceiveView getReceiveView() {
        return receiveView;
    }

    public void setReceiveView(ReceiveView receiveView) {
        this.receiveView = receiveView;
    }

    public SettView getSettView() {
        return settView;
    }

    public void setSettView(SettView settView) {
        this.settView = settView;
    }

    public DesignView getDesignView() {
        return designView;
    }

    public void setDesignView(DesignView designView) {
        this.designView = designView;
    }

    public ClosureView getClosureView() {
        return closureView;
    }

    public void setClosureView(ClosureView closureView) {
        this.closureView = closureView;
    }

    public PolicyView getPolicyView() {
        return policyView;
    }

    public void setPolicyView(PolicyView policyView) {
        this.policyView = policyView;
    }
}
