package com.jeeplus.modules.sg.managementcenter.materialproject.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.io.Externalizable;
import java.io.Serializable;

public class MaterialProject extends DataEntity<MaterialProject>{
    //储备项目名称
    private String reserveProjectName;
    //储备编码
    private String reserveCode;
    //项目类型
    private String projectType;
    //项目计划年度批次
    private String batchPlan;
    //项目正式发文批次
    private String issuePlan;
    //项目年度实施计划（月份）
    private String monthPlan;
    //年度计划有无预测
    private String hasPlan;
    //项目物资执行计划（上半年/下半年）
    private String halfPlan;
    //项目定义
    private String projectId;
    //项目名称
    private String projectName;

    private String arrageProject;//项目计划安排

    private String projectStatus;

    private String[] reserveCodes;//储备编码(多条)
    private String[] projectCodes;//项目编码(多条)

    public String getArrageProject() {
        return arrageProject;
    }

    public void setArrageProject(String arrageProject) {
        this.arrageProject = arrageProject;
    }

    public String[] getReserveCodes() {
        return reserveCodes;
    }

    public void setReserveCodes(String[] reserveCodes) {
        this.reserveCodes = reserveCodes;
    }

    public String[] getProjectCodes() {
        return projectCodes;
    }

    public void setProjectCodes(String[] projectCodes) {
        this.projectCodes = projectCodes;
    }

    public String getProjectStatus() {
        return projectStatus;
    }

    public void setProjectStatus(String projectStatus) {
        this.projectStatus = projectStatus;
    }

    @ExcelField(title="储备项目名称", align=2, sort=1)
    public String getReserveProjectName() {
        return reserveProjectName;
    }

    public void setReserveProjectName(String reserveProjectName) {
        this.reserveProjectName = reserveProjectName;
    }

    @ExcelField(title="项目名称", align=2, sort=2)
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @ExcelField(title="储备编码", align=2, sort=3)
    public String getReserveCode() {
        return reserveCode;
    }

    public void setReserveCode(String reserveCode) {
        this.reserveCode = reserveCode;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getBatchPlan() {
        return batchPlan;
    }

    public void setBatchPlan(String batchPlan) {
        this.batchPlan = batchPlan;
    }

    public String getIssuePlan() {
        return issuePlan;
    }

    public void setIssuePlan(String issuePlan) {
        this.issuePlan = issuePlan;
    }

    public String getMonthPlan() {
        return monthPlan;
    }

    public void setMonthPlan(String monthPlan) {
        this.monthPlan = monthPlan;
    }

    public String getHasPlan() {
        return hasPlan;
    }

    public void setHasPlan(String hasPlan) {
        this.hasPlan = hasPlan;
    }

    public String getHalfPlan() {
        return halfPlan;
    }

    public void setHalfPlan(String halfPlan) {
        this.halfPlan = halfPlan;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
}
