<%@ page contentType="text/html;charset=UTF-8"  %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>施工任务分配信息修改</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">
		$(document).ready(function() {
	        $('#beginDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
	        $('#endDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
		});
		function save() {
            var isValidate = jp.validateForm('#inputForm');//校验表单
            if(!isValidate){
                return false;
			}else{
                jp.loading();
                jp.post("${ctx}/sg/managementcenter/project/saveAss",$('#inputForm').serialize(),function(data){
					function extracted() {
						jp.getParent().refresh();
						var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
						parent.layer.close(dialogIndex);
					}
					if(data.success){
						extracted();
                        jp.success(data.msg)
                    }else{
						jp.error(data.msg);
                    }
                })
			}

        }

	</script>
</head>
<body class="bg-white">
		<form:form id="inputForm" modelAttribute="project" class="form-horizontal">
		<form:hidden path="id"/>	
		<table class="table table-bordered">
			<tbody>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>储备项目暂定名称：</label></td>
					<td class="width-35">
						<form:input path="reserveProjectName"   htmlEscape="false"  readonly="true"   class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>项目定义：</label></td>
					<td class="width-35">
						<form:input path="projectId"   htmlEscape="false"  readonly="true"  class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">项目名称：</label></td>
					<td class="width-35">
						<form:input path="projectName"   htmlEscape="false"  readonly="true" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">交底类型：</label></td>
					<td class="width-35">
						<c:if test="${not empty project.assignment.disclosureType}">
							<form:input path="assignment.disclosureType"  readonly="true"  htmlEscape="false" class="form-control required"/>
						</c:if>
						<c:if test="${empty project.assignment.disclosureType}">
							<form:input path="assignment.disclosureType"   htmlEscape="false" class="form-control required"/>
						</c:if>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">项目下达批次：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.assignment.projectReleaseBatch}">
								<form:input path="assignment.projectReleaseBatch"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="assignment.projectReleaseBatch"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
					<td class="width-15 active"><label class="">正式图交付日期：</label></td>
					<td class="width-35">
						<form:input path="assignment.deliveryDate"  htmlEscape="false" class="form-control "/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">施工包号：</label></td>
					<td class="width-35">
						<form:input path="assignment.packageNo"  htmlEscape="false" class="form-control "/>
					</td>
					<td class="width-15 active"><label class="">费率：</label></td>
					<td class="width-35">
						<form:input path="assignment.rate"  htmlEscape="false" class="form-control "/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">合同单位：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.assignment.assignedUnit}">
								<form:input path="assignment.assignedUnit"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="assignment.assignedUnit"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
					<td class="width-15 active"><label class="">施工单位：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.assignment.constructionUnit}">
								<form:input path="assignment.constructionUnit"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="assignment.constructionUnit"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">施工分包单位：</label></td>
					<td class="width-35">
						<form:input path="assignment.constructionSubcontractor"  htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">甲方代表：</label></td>
					<td class="width-35">
						<form:input path="assignment.behalf"  htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">施工单位物资专职：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.assignment.constructionFullTime}">
								<form:input path="assignment.constructionFullTime"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="assignment.constructionFullTime"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
					<td class="width-15 active"><label class="">施工单位技经专职：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.assignment.constructionTechnical}">
								<form:input path="assignment.constructionTechnical"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="assignment.constructionTechnical"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">施工项目经理：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.assignment.constructionManage}">
								<form:input path="assignment.constructionManage"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="assignment.constructionManage"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
					<td class="width-15 active"><label class="">施工单位领导：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.assignment.constructionLeader}">
								<form:input path="assignment.constructionLeader"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="assignment.constructionLeader"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">分包联系人：</label></td>
					<td class="width-35">
						<form:input path="assignment.subcontractingContact"  htmlEscape="false" class="form-control "/>
					</td>
					<td class="width-15 active"><label class="">设计人员：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.assignment.designer}">
								<form:input path="assignment.designer"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="assignment.designer"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">设计单位领导：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.assignment.designLeader}">
								<form:input path="assignment.designLeader"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="assignment.designLeader"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
					<td class="width-15 active"><label class="">业主项目经理：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.assignment.ownerManager}">
								<form:input path="assignment.ownerManager"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="assignment.ownerManager"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">配网工程专职：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.assignment.distribution}">
								<form:input path="assignment.distribution"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="assignment.distribution"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
					<td class="width-15 active"><label class="">配网物资专职：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.assignment.distributionFullTime}">
								<form:input path="assignment.distributionFullTime"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="assignment.distributionFullTime"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">配网系统维护专职：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.assignment.distributionSystem}">
								<form:input path="assignment.distributionSystem"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="assignment.distributionSystem"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
					<td class="width-15 active"><label class="">配网政策处理：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.assignment.distributionPolicy}">
								<form:input path="assignment.distributionPolicy"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="assignment.distributionPolicy"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">项目管理中心领导：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.assignment.centerLeader}">
								<form:input path="assignment.centerLeader"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="assignment.centerLeader"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
					<td class="width-15 active"><label class="">项目管理中心技经专职：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.assignment.centerTechnical}">
								<form:input path="assignment.centerTechnical"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="assignment.centerTechnical"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">经研所角色：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.assignment}">
								<form:input path="assignment.instituteRole"  readonly="true" htmlEscape="false" class="form-control"/>
							</c:when>
							<c:otherwise>
								<form:input path="assignment.instituteRole"  htmlEscape="false" class="form-control"/>
							</c:otherwise>
						</c:choose>
					</td>
					<td class="width-15 active"><label class="">运行单位业主代表：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.assignment.repUnit}">
								<form:input path="assignment.repUnit"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="assignment.repUnit"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">运行单位运检专职：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.assignment.inspectionUnit}">
								<form:input path="assignment.inspectionUnit"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="assignment.inspectionUnit"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
			</tbody>
		</table>
	</form:form>
</body>
</html>