<%@ page pageEncoding="UTF-8"%>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>施工模块项目发起流程</title>
	<meta name="decorator" content="ani"/>
	<!-- SUMMERNOTE -->
	<%@include file="/webpage/include/summernote.jsp" %>
	<%@include file="materialModuleForm.js"%>
</head>
<body>

<div class="wrapper wrapper-content">
	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-primary">
				<div class="panel-heading">
					<h3 class="panel-title">
						<a class="panelButton"  href="#"  onclick="history.go(-1)"><i class="ti-angle-left"></i> 返回</a>
					</h3>
				</div>
				<div class="panel-body">

					<form:form id="inputForm" modelAttribute="materialModule" action="${ctx}/picking/activiti/save" method="post" class="form-horizontal">
						<input type="hidden" id="procDefId" value="${materialModule.act.procDefId}">
						<div class="form-group text-center">
							<h3> 领料申请</h3>
						</div>
						<table class="table table-bordered">
							<tbody>
							<tr>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>项目名称：</label></td>
								<td class="width-35">
									<sys:itemselect url="${ctx}/sg/managementcenter/project/materialDataPicking" id="project" name="projectId" value="${showList.projectName}" labelName="project.requireName" labelValue="${showList.projectName}"
													title="选择项目号" cssClass="form-control required" fieldLabels="${fns:urlEncode('项目需求名称|工程编号|项目名称|项目定义号')}" fieldKeys="requireName|projecId|projectName|projectNumber" searchLabels="${fns:urlEncode('项目需求名称')}" searchKeys="requireName"  isMultiSelected="false"></sys:itemselect>
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">选择项目类型：</label></td>
								<td>
									<form:checkboxes class="i-checks form-control required" path="projectType" items="${fns:getDictList('sg_electricity_involved')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
								</td>
<%--								<td class="width-35"><input class="form-control" type="text" id="projectType"/></td>--%>
							</tr>
							</tbody>
						</table>
					</form:form>

					<div class="row">
						<div class="col-sm-3"></div>
						<div class="col-sm-6">
							<div class="form-group text-center">
								<input id="contain" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="提交" />&nbsp;
							</div>
						</div>
					</div>
					<c:if test="${not empty showList.id}">
						<act:flowChart procInsId="${showList.act.procInsId}"/>
						<act:histoicFlow procInsId="${showList.act.procInsId}" />
					</c:if>
				</div>
			</div>
		</div>
	</div>
</div>
</body>
</html>