<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>配网物资专职审核领料单</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@include file="managerExam.js" %>
	<style type="text/css">
		/* 下边两行是去掉input 输入框右边的上下箭头按钮*/
		.deal::-webkit-inner-spin-button {
			-webkit-appearance: none !important;
		}
		.deal::-webkit-outer-spin-button {
			-webkit-appearance: none !important;
		}
		input[type="number"]{
			-moz-appearance:textfield;
		}
	</style>
</head>
<body>
	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">配网物资专职审核领料单</h3>
	</div>
		<form:form id="inputForm" modelAttribute="act" class="form-horizontal">
			<input type="hidden" id="procInsId" name="procInsId" value="${act.procInsId}"/>
			<input type="hidden" id="taskId" name="procInsId" value="${act.taskId}"/>
		</form:form>
		<div id="">
			<button id="exportBlock" class="btn btn-info">
				<i class="fa fa-folder-open-o"></i> 导出领料清单
			</button>
			<button id="exportListing" class="btn btn-info">
				<i class="fa fa-folder-open-o"></i> 导出模块清单
			</button>
		</div>
		<div class="panel-body">
			<h3>项目：${projectNumber.requireName}&nbsp;发起第${projectNumber.theNumber}次开具领料清单</h3>
			<div>
				<ul class="nav nav-tabs">
					<li role="presentation" id="click2" style="border-bottom: 0px;border-left: 1px solid rgb(221,221,221);border-right: 1px solid rgb(221,221,221);border-top: 1px solid rgb(221,221,221)"><a id="qd" href="javascript:void(0)">查看领料清单</a></li>
					<li role="presentation" id="click3" ><a id="mkqd" href="javascript:void(0)">查看模块清单</a></li>
				</ul>
			</div>
			<div id="div2" style="display: block">
				<!-- 工具栏 -->
				<div style="margin-top: 10px;">
					<button id="add" class="btn btn-primary" onclick="add()">
						<i class="glyphicon glyphicon-plus"></i> 新建
					</button>
					<button id="remove" class="btn btn-danger" disabled onclick="deleteAll()">
						<i class="glyphicon glyphicon-remove"></i> 删除
					</button>
				</div>
				<table id="informationTable"   data-toolbar="#toolbar" class="table"></table>
			</div>
			<div id="div3" style="display: none">
				<table id="informationTable2"   data-toolbar="#toolbar" class="table"></table>
			</div>
			<div class="row">
				<div class="col-sm-3"></div>
				<div class="col-sm-6">
					<div class="form-group text-center" style="text-align: center;margin-top: 20px;">
						<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="确认提交" />&nbsp;
					</div>
				</div>
			</div>
			<c:if test="${not empty showList.id}">
				<act:flowChart procInsId="${showList.act.procInsId}"/>
				<act:histoicFlow procInsId="${showList.act.procInsId}" />
			</c:if>
		</div>
	</div>
	</div>
</body>
</html>